      program forcing_vs_lambda
      implicit none
      include 'max.inc'
c     
c     Purpose: to compute the radiative forcing (at a given altitude / pressure)
c     vs wavelegnth
c     
c     Variables
      integer Nk_1a,Nk_2b,Nk_4a
      double precision nf_1a(1:Nk_mx,1:2)
      double precision nf_2b(1:Nk_mx,1:2)
      double precision nf_4a(1:Nk_mx,1:2)
      double precision forcing_2b1a(1:Nk_mx,1:2)
      double precision forcing_4a2b(1:Nk_mx,1:2)
c     temp
      character*(Nchar_mx) folder,file,header
      character*(Nchar_mx) file_in,file_out
      double precision integral
      integer Nk,ik,j
      double precision flux(1:Nk_mx,1:2)
c     label
      integer strlen
      character*(Nchar_mx) label
      label='program forcing_vs_lambda'

c     Reading net fluxes
      folder='/Volumes/USB2-1.5To/Spectral_data/atmospheres/'
     &     //'RTMIP65/RT_results/AI/MLS1a'
      call add_slash_if_absent(folder)
      file='probe_flux_net_signal.txt'
      file_in=folder(1:strlen(folder))
     &     //file(1:strlen(file))
      call read_flux(file_in,Nk_1a,nf_1a)
      
      folder='/Volumes/USB2-1.5To/Spectral_data/atmospheres/'
     &     //'RTMIP65/RT_results/AI/MLS2b'
      call add_slash_if_absent(folder)
      file='probe_flux_net_signal.txt'
      file_in=folder(1:strlen(folder))
     &     //file(1:strlen(file))
      call read_flux(file_in,Nk_2b,nf_2b)
      
      folder='/Volumes/USB2-1.5To/Spectral_data/atmospheres/'
     &     //'RTMIP65/RT_results/AI/MLS4a'
      call add_slash_if_absent(folder)
      file='probe_flux_net_signal.txt'
      file_in=folder(1:strlen(folder))
     &     //file(1:strlen(file))
      call read_flux(file_in,Nk_4a,nf_4a)

c     Computing radiative forcings, in W/m^2/cm^-1
      write(*,*) 'Computing forcings...'
      call radiative_forcing(Nk_2b,Nk_1a,nf_2b,nf_1a,forcing_2b1a)
      call spectral_integration(Nk_1a,forcing_2b1a,integral)
      write(*,*) 'Integrated forcing 2b-1a=',integral,' W/m^2'
      call convert(Nk_1a,forcing_2b1a)
      call spectral_integration(Nk_1a,forcing_2b1a,integral)
      write(*,*) 'Integrated forcing 2b-1a=',integral,' W/m^2'
      
      call radiative_forcing(Nk_4a,Nk_2b,nf_4a,nf_2b,forcing_4a2b)
      call spectral_integration(Nk_2b,forcing_4a2b,integral)
      write(*,*) 'Integrated forcing 4a-2b=',integral,' W/m^2'
      call convert(Nk_2b,forcing_4a2b)
      call spectral_integration(Nk_2b,forcing_4a2b,integral)
      write(*,*) 'Integrated forcing 4a-2b=',integral,' W/m^2'

c     Records
      write(*,*) 'Recording results...'
      
      file_out='./rad_forcing_2b-1a.txt'
      header='wavelength [micrometers] / '
     &     //'2b-1a forcing [W/m^2/micrometer]'
      call record_flux(file_out,header,Nk_1a,forcing_2b1a)
      write(*,*) 'File was created:'
      write(*,*) file_out(1:strlen(file_out))
      
      file_out='./rad_forcing_4a-2b.txt'
      header='wavelength [micrometers] / '
     &     //'4a-2b forcing [W/m^2/micrometer]'
      call record_flux(file_out,header,Nk_2b,forcing_4a2b)
      write(*,*) 'File was created:'
      write(*,*) file_out(1:strlen(file_out))

 666  continue

      end
      
