c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine get_nlines(file,nlines_file,nl)
      implicit none
      include 'max.inc'
c
c     Purpose: to find the number of lines in a given file
c
c     Inputs:
c       + file: file whose number of lines has to be found
c       + nlines_file: temporary file to use
c     
c     Outputs:
c       + nl: number of lines within "file"
c

c     I/O
      character*(Nchar_mx) file
      character*(Nchar_mx) nlines_file
      integer nl
c     temp
      logical file_found
      character*(Nchar_mx) command
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine get_nlines'

      inquire(file=trim(file),exist=file_found)

      if (file_found) then
c     Number of lines in the specified data file
         command='wc -l < '
     &        //file(1:strlen(file))
     &        //' > ./'
     &        //nlines_file(1:strlen(nlines_file))
         call exec(command)
c
         open(99,file=nlines_file(1:strlen(nlines_file)))
         read(99,*) nl
         close(99)
c
      else                      ! file was not found
         nl=0
      endif                     ! file_found

      return
      end
